//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HMS_Final
{
    using System;
    using System.Collections.Generic;
    
    public partial class Inpatient
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Inpatient()
        {
            this.Discharges = new HashSet<Discharge>();
            this.Operations = new HashSet<Operation>();
        }
    
        public int Pid { get; set; }
        public Nullable<int> pono { get; set; }
        public Nullable<int> advancepayment { get; set; }
        public Nullable<int> roomno { get; set; }
        public Nullable<int> labno { get; set; }
        public Nullable<int> medid { get; set; }
        public Nullable<int> nurseid { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Discharge> Discharges { get; set; }
        public virtual LabReport LabReport { get; set; }
        public virtual Medicine Medicine { get; set; }
        public virtual Nurse Nurse { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Operation> Operations { get; set; }
        public virtual Room Room { get; set; }
    }
}
